#
# spec file for package perl-PPIx-QuoteLike
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-PPIx-QuoteLike
Version:        0.011
Release:        lp152.1.1
%define cpan_name PPIx-QuoteLike
Summary:        Parse Perl string literals and string-literal-like things
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/W/WY/WYANT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(PPI::Document) >= 1.117
BuildRequires:  perl(PPI::Dumper) >= 1.117
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(PPI::Document) >= 1.117
Requires:       perl(PPI::Dumper) >= 1.117
Requires:       perl(Readonly)
%{perl_requires}

%description
This Perl class parses Perl string literals and things that are reasonably
like string literals. Its real reason for being is to find interpolated
variables for Perl::Critic policies and similar code.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Wed Apr  1 2020 <timueller+perl@suse.de>
- updated to 0.011
  see /usr/share/doc/packages/perl-PPIx-QuoteLike/Changes
  0.011		2020-03-31	T. R. Wyant
    Normalize interpolation before feeding to PPI. This produces a
    more-easily-analyzed PPI parse.
    The ->variables() method is now discouraged. It was written to support
    Perl::Critic::Policy::Variables::ProhibitUnusedVarsStricter, but turned
    out to be inadequate for the job.
    Deprecate new() argument postderef. At this stage it is only
    documented as deprecated. In the first release after October 1 2020
    it will warn on the first use. Eventually it will be retracted, and
    postfix dereferences will always be recognized. This is the default
    behavior now.
    Correct bracket matchers to accept multiple lines. This was, in some
    cases, causing interpolations to be misclassified as unknown tokens.
* Tue Mar 10 2020 <timueller+perl@suse.de>
- updated to 0.010
  see /usr/share/doc/packages/perl-PPIx-QuoteLike/Changes
  0.010		2020-03-09	T. R. Wyant
    Remove redundant and poorly-performing code introduced in version
    0.009.
* Fri Feb 28 2020 <timueller+perl@suse.de>
- updated to 0.009
  see /usr/share/doc/packages/perl-PPIx-QuoteLike/Changes
  0.009		2020-02-27	T. R. Wyant
    Add new() argument index_locations which causes locations to be
    indexed during the parse. This defaults based on whether a location
    argument was provided, and whether the string being parsed is a
    PPI::Element.
    Add method statement(), which returns the PPI statement containing
    the string element, or nothing if none.
    Add PPI::Element location methods, to wit: location(),
    column_number(), line_number(), logical_filename(),
    logical_line_number(), and visual_column_number().
    Add PPIx::QuoteLike::Utils::is_ppi_quotelike_element() which returns
    true if the argument is a PPI::Element of interest to us.
    All objects now have a variables() method inherited from
    PPIx::QuoteLike::Token. This method returns nothing unless
    overridden. It was added to eliminate $elem->can( 'variables' )
    ad-hocery.
    Eliminate redirections in POD URL links
* Sat Aug 17 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.008
  see /usr/share/doc/packages/perl-PPIx-QuoteLike/Changes
  0.008		2019-08-16	T. R. Wyant
    Fix broken POD links, and add test to ensure they stay fixed.
* Sat Jun  1 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.007
  see /usr/share/doc/packages/perl-PPIx-QuoteLike/Changes
  0.007		2019-05-31	T. R. Wyant
    Prohibit interpolation inside \N{...}.
    Fix error message in eg/pqldump
    Allow PPIx::QuoteLike::Utils::__variables() to take a PPI::Element
    (rather than PPI::Node), PPIx::Regexp::Element, PPIx::QuoteLike, or
    PPIx::QuoteLike::Token.
    Add eg/variables
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- initial package 0.006
  * created by cpanspec 1.78.09
